import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  CodeartifactClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodeartifactClient";
import {
  AssociateExternalConnectionRequest,
  AssociateExternalConnectionResult,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface AssociateExternalConnectionCommandInput
  extends AssociateExternalConnectionRequest {}
export interface AssociateExternalConnectionCommandOutput
  extends AssociateExternalConnectionResult,
    __MetadataBearer {}
export declare class AssociateExternalConnectionCommand extends $Command<
  AssociateExternalConnectionCommandInput,
  AssociateExternalConnectionCommandOutput,
  CodeartifactClientResolvedConfig
> {
  readonly input: AssociateExternalConnectionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: AssociateExternalConnectionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CodeartifactClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    AssociateExternalConnectionCommandInput,
    AssociateExternalConnectionCommandOutput
  >;
  private serialize;
  private deserialize;
}
