import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  CodeartifactClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodeartifactClient";
import {
  DescribeDomainRequest,
  DescribeDomainResult,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribeDomainCommandInput extends DescribeDomainRequest {}
export interface DescribeDomainCommandOutput
  extends DescribeDomainResult,
    __MetadataBearer {}
export declare class DescribeDomainCommand extends $Command<
  DescribeDomainCommandInput,
  DescribeDomainCommandOutput,
  CodeartifactClientResolvedConfig
> {
  readonly input: DescribeDomainCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeDomainCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CodeartifactClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<DescribeDomainCommandInput, DescribeDomainCommandOutput>;
  private serialize;
  private deserialize;
}
