import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
  StreamingBlobPayloadOutputTypes,
} from "@smithy/types";
import {
  CodeartifactClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodeartifactClient";
import {
  GetPackageVersionAssetRequest,
  GetPackageVersionAssetResult,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface GetPackageVersionAssetCommandInput
  extends GetPackageVersionAssetRequest {}
export interface GetPackageVersionAssetCommandOutput
  extends Pick<
      GetPackageVersionAssetResult,
      Exclude<keyof GetPackageVersionAssetResult, "asset">
    >,
    __MetadataBearer {
  asset?: StreamingBlobPayloadOutputTypes;
}
export declare class GetPackageVersionAssetCommand extends $Command<
  GetPackageVersionAssetCommandInput,
  GetPackageVersionAssetCommandOutput,
  CodeartifactClientResolvedConfig
> {
  readonly input: GetPackageVersionAssetCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetPackageVersionAssetCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CodeartifactClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetPackageVersionAssetCommandInput,
    GetPackageVersionAssetCommandOutput
  >;
  private serialize;
  private deserialize;
}
