import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  CodeartifactClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodeartifactClient";
import {
  GetPackageVersionReadmeRequest,
  GetPackageVersionReadmeResult,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface GetPackageVersionReadmeCommandInput
  extends GetPackageVersionReadmeRequest {}
export interface GetPackageVersionReadmeCommandOutput
  extends GetPackageVersionReadmeResult,
    __MetadataBearer {}
export declare class GetPackageVersionReadmeCommand extends $Command<
  GetPackageVersionReadmeCommandInput,
  GetPackageVersionReadmeCommandOutput,
  CodeartifactClientResolvedConfig
> {
  readonly input: GetPackageVersionReadmeCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetPackageVersionReadmeCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CodeartifactClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetPackageVersionReadmeCommandInput,
    GetPackageVersionReadmeCommandOutput
  >;
  private serialize;
  private deserialize;
}
