import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  CodeartifactClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodeartifactClient";
import {
  GetRepositoryEndpointRequest,
  GetRepositoryEndpointResult,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface GetRepositoryEndpointCommandInput
  extends GetRepositoryEndpointRequest {}
export interface GetRepositoryEndpointCommandOutput
  extends GetRepositoryEndpointResult,
    __MetadataBearer {}
export declare class GetRepositoryEndpointCommand extends $Command<
  GetRepositoryEndpointCommandInput,
  GetRepositoryEndpointCommandOutput,
  CodeartifactClientResolvedConfig
> {
  readonly input: GetRepositoryEndpointCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetRepositoryEndpointCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CodeartifactClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetRepositoryEndpointCommandInput,
    GetRepositoryEndpointCommandOutput
  >;
  private serialize;
  private deserialize;
}
